Developers

List available scheduled appointment slots

Returns available appointment start times filtered to practitioners credentialed in the provided US state.

GET/appointments/scheduled/available-slots/

Returns available appointment start times filtered to practitioners credentialed in the provided US state.

Authorization

HTTPBearer XDoctronicUserID
AuthorizationBearer <token>

In: header

X-Doctronic-User-ID<token>

Doctronic user ID returned as data.id by POST /users/. This value identifies the user in your organization scope; it is not an API token.

In: header

Query Parameters

state*string
datetimeFrom?|null
datetimeTo?|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/appointments/scheduled/available-slots/?state=string"
{  "code": "success",  "message": "Request successful",  "data": {    "slots": [      "string"    ]  }}